package com.capgemini.reports.builder;

import com.capgemini.reports.definition.r13report.execution.ExecutionR13FPP;
import com.capgemini.reports.reports.parameters.EffectivityDate;

/** Reconstructs a R13 (CR) report from two delimiter dates. */
public class R13FppBuilder extends AbstractR13Builder<ExecutionR13FPP> {

    @Override
    protected ExecutionR13FPP make(EffectivityDate beginDate, EffectivityDate finalDate) {
        return new ExecutionR13FPP(finalDate, beginDate);
    }

}
