package com.capgemini.reports.builder;

import com.capgemini.reports.definition.r15r16r17reports.r15r17reports.r15report.ExecutionR15;

/** Builds a R15 Report from language, part Id & rev. */
public class R15Builder extends AbstractR15R17Builder<ExecutionR15> {

    @Override
    protected ExecutionR15 make(String language, String partId, String partRevision) {
        return new ExecutionR15(partId, partRevision, language);
    }


}
