package com.capgemini.reports.builder;

import com.capgemini.reports.database.javabean.enumeration.ReportCriteriaEnum;
import com.capgemini.reports.definition.r27report.ExecutionR27;

import java.util.Map;

/**
 * Reconstructs a R27 report.
 */
public class R27Builder implements ReportBuilder {


  @Override
  public ExecutionR27 build(Map<ReportCriteriaEnum, String> data) {
    return new ExecutionR27();
  }

}
