package com.capgemini.reports.database.javabean;

import java.io.Serializable;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;


/** Persisted object in table CRITERIA. **/
@Getter
@Setter
@ToString
public class DbSchedulingCriteriaVal implements Serializable, IPersistedObject {

    /** Required by serialization. **/
    private static final long serialVersionUID = -7663074318747139689L;

    /** Identifier of the linked report. **/
    private Long id;

    /** Linked dbSchedulignCriteria. **/
    private DbCriteria dbCriteria;

    /** Criteria value. **/
    private String criteriaValue;

    /** Identifier of the linked report. **/
    private Long schedulingReportId;

    /** JAVA convention requires an empty constructor for each JAVA bean. **/
    public DbSchedulingCriteriaVal() {
        // Nothing to do
    }
}
