package com.capgemini.reports.database.javabean.enumeration;

/** The type of report errors: Technical errors (bug in the code) or Functional (user doesn't know what he/she's doing. */
public enum ReportErrorTypeEnum {
    /** The user doesn't know what he's doing. */
    FUNCTIONAL,
    /** Bug in the code / environment. */
    TECHNICAL
}
