package com.capgemini.reports.definition.r07report;

import com.capgemini.reports.definition.r07report.data.DataReportPreparatorR07.ReportDataLineR07;
import com.capgemini.reports.reports.parameters.Generics;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

/**
 * Regroups all the data that is necessary to produce a line in the final report: the written date, the configuration it belongs to, which cells to highlight.
 */
@Getter
@AllArgsConstructor
public class ReportDataR07 {
    private final Generics genericParam1;
    private final Generics genericParam2;
    private final int numberOfLinesInConf1;
    private final int numberOfLinesInConf2;
    private final int maxCN;
    private final List<ReportDataLineR07> reportDataList;
}