package com.capgemini.reports.definition.r15r16r17reports;

/**
 * Main Parameter keys for R17 report.
 */
public enum R15R16R17R24R25Keys {
  REPORT_TITLE,
  ITEM_ID,
  ITEM_REVISION_ID,
  RELEASE_DATE,
  CLAUSE_PROPRIETE,
  EMPTY_TABLE,
  SNECMA_LOGO,
  WATERMARK,
  PRODUCT_TYPE,
  PART_NUMBER,
  MANUFACTURER_CODE,
  PART_VERSION,
  FRENCH_DESIGNATION,
  ENGLISH_DESIGNATION,
  CLASSIFICATION,
  FIELD_OPN_SERIALISATION,
  LOG_DOCUMENT,
  OBTURATION,
  MT_NUMBER,
  PREVIOUS_RELEASE_DATE;

  /**
   * Report Data. Specific for R15 and R16.
   */
  public enum SpecificR15R16 {
    PRODUCT_UNIT,
    INSTALLATION_INTERFACE,
    PARTNER_INTERFACE,
    SUB_TITLE,
    IS_PREVIOUS_DEF
  }

  /**
   * Report Data.
   */
  public enum Page2 {
    REF_DESCRIPTIF,
    REV_DESCRIPTIF,
    STATUS,
    MATURITY_STATUS,
    DOC_NUMBER,
    ISSUE,
    DOC_TYPE,
    DOC_TITLE
  }
}
