package com.capgemini.reports.execution.strategies;

import com.capgemini.reports.ReportLaunchTypeEnum;
import lombok.EqualsAndHashCode;

/** Execution flow for report that is requested but must be postponed until later this day. */
@EqualsAndHashCode(callSuper = true)
public class DelayedExecutionStrategy extends AbstractExecutionStrategy {

    private static final long serialVersionUID = -7625339402185787331L;

    @Override
    public final ReportLaunchTypeEnum getLaunchType() {
        return ReportLaunchTypeEnum.DELAYED;
    }
}
