package com.capgemini.reports.execution.strategies;

import com.capgemini.reports.ReportLaunchTypeEnum;
import lombok.EqualsAndHashCode;

/** Execution flow for report that is requested and must be executed immediately. */
@EqualsAndHashCode(callSuper = true)
public class ImmediateExecutionStrategy extends AbstractExecutionStrategy {

    private static final long serialVersionUID = -4519380941500076374L;

    @Override
    public final ReportLaunchTypeEnum getLaunchType() {
        return ReportLaunchTypeEnum.IMMEDIATE;
    }
}
