<script src="/kurt-web/js/obtain_data.js"></script>

<!-- 
 Available request parameters:
   "isUpdateReport"       (boolean) ALWAYS FALSE Right-click report
   "idReport"             (long)    NEVER USED   Right-click report
 Specific R19:
   "dataValues"           (String)  MANDATORY    UID of an ItemRevision
  -->

<!-- HTML, will probably be imported right inside a form -->
<table cellspacing="0" cellpadding="3" border="0">
	<tr>
        <td class="tdFieldTitle required">N Document* :</td>
        <td>
            <input type="text" id="num_document" name="num_document" value="" readonly />
        </td>
    </tr>
	<tr>
        <td class="tdFieldTitle required">R&eacute;vision* :</td>
        <td>
            <input type="text" id="rev_document" name="rev_document" value="" readonly/>
        </td>
    </tr>
	<tr>
        <td class="tdFieldTitle" colspan="2" style="text-align:center;"><br/>
        	<div id="loading" style="display:none;">
        		<i>Traitement en cours...</i>
                <br/>
                <img src="/kurt-web/ihm/progress.gif" vspace="6" width="129" height="20">
        	</div>
        </td>
    </tr>
</table>
<input type="hidden" id="uid_document" name="uid_document" value=""/>
<input type="hidden" id="type_document" name="type_document" value=""/>
    
<!-- Internal functional Javascript methods (checks etc.) -->
<script>

    /* Automatic checks before sending the form */
    function checkForm() {
        var isCheckOk = true;
    
        return isCheckOk;
    }
    
    /* Retrieve data for filling current form */
    function ServerResponseForObtainData() {
        if (objGetRequest.readyState == 4) {
            if (objGetRequest.status == 200) {
                var queryResponse = JSON.parse(objGetRequest.responseText);

                if (queryResponse.success){
                    document.getElementById("num_document").value= queryResponse.ObjectId;
                    document.getElementById("rev_document").value= queryResponse.ObjectRev;
                    document.getElementById("type_document").value= queryResponse.ObjectType;
                    document.getElementById("uid_document").value= queryResponse.ObjectUid;
                    if(queryResponse.warning!=""){
                        parent.Dialog("Message",queryResponse.warning);
                    }
                }else{
                    parent.Dialog("Erreur",queryResponse.error);
                    document.getElementById("submitButton").style.display = 'none';
                }
            }else{
                parent.Dialog("Erreur","La connexion avec le site semble interrompue.");
            }
            /* Display buttons and hide loading bar */
            document.getElementById("loading").style.display = 'none';
            document.getElementById("btZone").style.display = '';
        }
    }
    
</script>

<script>
	/* Run asynchronous AJAX query for loading input content */
	setTimeout("ObtainData('/kurt-web/report_r19/obtainDataR19?dataValues=" + parseURL("dataValues","") + "')",100);
</script>
