package com.capgemini.framework.teamcenter.authent;

import lombok.AllArgsConstructor;
import lombok.Getter;

/** Simple holder class for all data regarding connection to FSC service. */
@Getter
@AllArgsConstructor
public class FscParameters {

    /** Connection to FSC. */
    private final String clientIPAddress;
    /** FSC assigned URL. */
    private final String[] assignedFscURIs;
    /** FSC bootstrap URL. */
    private final String[] bootstrapFscURIs;
    /** Local cache directory. */
    private final String cacheDir;

}
