package com.capgemini.framework.teamcenter.exceptions;

import com.teamcenter.services.strong.core._2006_03.DataManagement.Relationship;

/** This exception is thrown when unable to perform an operation on {@link Relationship} between objects. */
public class FailedRelationshipActionException extends KurtException {

    private static final long serialVersionUID = 4835457230745841725L;

    /**
     * Simple constructor. For an original exception.
     * 
     * @param msg the tech error message
     */
    public FailedRelationshipActionException(final String msg) {
        super(msg);
    }

    /**
     * Simple constructor. For an derived exception.
     * 
     * @param msg the tech error message
     * @param exc original exception
     */
    public FailedRelationshipActionException(final String msg, final Throwable exc) {
        super(msg, exc);
    }

}
