package com.capgemini.reports.exceptions;

import com.capgemini.framework.teamcenter.exceptions.KurtException;

/** Represents the exception to throw when the operation requested cannot be performed (it is not implemented, or non-sensical. */
public class NotSupportedException extends KurtException {

    /** Serialization UID. **/
    private static final long serialVersionUID = -7975389522450629095L;

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     */
    public NotSupportedException(final String aMessage) {
        super(aMessage);
    }

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     * @param anException Original exception
     */
    public NotSupportedException(final String aMessage, final Throwable anException) {
        super(aMessage, anException);
    }

}
