package com.capgemini.reports.releasestatus;

import com.teamcenter.soa.client.model.strong.ItemRevision;
import com.teamcenter.soa.client.model.strong.ReleaseStatus;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Calendar;

/**
 * POJO container for an {@link ItemRevision}, which was elected because of one of its {@link ReleaseStatus} or {@link Calendar}.
 */
@AllArgsConstructor
@Getter
public class RevisionStatusAndDate {
    private final Calendar releaseDate;
    private final ReleaseStatus releaseStatus;
    private final ItemRevision itemRevision;

}
