package com.capgemini.reports.reports.parameters.checker;

import com.capgemini.framework.teamcenter.exceptions.NoTeamcenterConnectionException;
import com.capgemini.framework.teamcenter.policies.PolicyLocation;
import com.capgemini.reports.AbstractTeamcenterTest;
import com.capgemini.reports.exceptions.InvalidUserInputException;
import org.junit.Test;

/**
 * JUnit test class.
 */
public class ProductCheckTest extends AbstractTeamcenterTest {

    private static final String PRODUCT_ID_FOR_GENERIC_ASSEMB = "97R0";

    @Override
    public PolicyLocation getPropertyPolicyIdentifier() {
        return DEFAULT_POLICY;
    }

    /**
     * JUnit test.
     * 
     * @throws InvalidUserInputException should not happen
     * @throws NoTeamcenterConnectionException should not happen
     */
    @Test
    public void checkTest() throws InvalidUserInputException, NoTeamcenterConnectionException {
        new ProductChecker(PRODUCT_ID_FOR_GENERIC_ASSEMB).check(getSession());
    }
}
