package com.capgemini.reports.teamcenter;

import com.capgemini.framework.teamcenter.exceptions.NoTeamcenterConnectionException;
import com.capgemini.framework.teamcenter.policies.PolicyLocation;
import com.capgemini.reports.AbstractTeamcenterTest;
import org.junit.Assert;
import org.junit.Test;


public class TeamcenterConnectionTest extends AbstractTeamcenterTest {

    /**
     * JUnit test.
     *
     * @throws NoTeamcenterConnectionException should not happen
     **/
    @Test
    public void testLoginLogout() throws NoTeamcenterConnectionException {
        // The inheritance of AbstractTeamcenterTest is sufficient to test the login() and logout() of TcSession .
        Assert.assertNotNull(getSession());
    }

    @Override
    public PolicyLocation getPropertyPolicyIdentifier() {
        return DEFAULT_POLICY;
    }
}
