package com.capgemini.reports.jasper.fillers;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.JasperReport;

/**
 * This class is able to populate a {@link JasperReport} template with some data and parameters .
 */
public interface JasperFiller {

    /**
     * Returns the a {@link JasperPrint} filled report.
     *
     * @return the populated {@link JasperPrint} report
     * @throws JRException
     */
    JasperPrint generate() throws JRException;

}
