package com.capgemini.reports.jasper.printers;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperPrint;

import java.io.File;

/**
 * Interface pour un gestionnaire d'impression JASPER.
 */
public interface JasperPrinter {

    /**
     * Imprime le rapport sous le format desire.
     *
     * @param print the
     * @return the generated {@link File}
     */
    File print(final JasperPrint print) throws JRException;

}
