package com.capgemini.reports.quartz;

import org.quartz.JobDataMap;

/** A Bunch of keys to put/retrieve report data on quartz {@link JobDataMap} classes. */
public enum JobDataKeys {

    /** Key to the scheduling's DB Identifier. Only for scheduled reports. */
    SCHEDULING_ID,
    /** Key to the class to invoke, which can instantiate the report once it triggers. Only for scheduled reports. */
    REPORT_BUILDER_CLASS_NAME,

}
