package com.capgemini.reports.builder;

import com.capgemini.reports.definition.r13report.execution.ExecutionR13CR;
import com.capgemini.reports.reports.parameters.EffectivityDate;

/** Reconstructs a R13 (CR) report from two delimiter dates. */
public class R13CrBuilder extends AbstractR13Builder<ExecutionR13CR> {

    @Override
    protected ExecutionR13CR make(EffectivityDate beginDate, EffectivityDate finalDate) {
        return new ExecutionR13CR(finalDate, beginDate);
    }

}
