package com.capgemini.reports.builder;

import com.capgemini.reports.definition.r15r16r17reports.r15r17reports.r17report.ExecutionR17;

/** Builds a R15 Report from language, part Id & rev. */
public class R17Builder extends AbstractR15R17Builder<ExecutionR17> {

    @Override
    protected ExecutionR17 make(String language, String partId, String partRevision) {
        return new ExecutionR17(partId, partRevision, language);
    }


}
