package com.capgemini.reports.builder;

import com.capgemini.reports.database.javabean.enumeration.ReportCriteriaEnum;
import com.capgemini.reports.definition.r28report.ExecutionR28;

import java.util.Map;

/**
 * Reconstructs a R28 report.
 */
public class R28Builder implements ReportBuilder {


    @Override
    public ExecutionR28 build(Map<ReportCriteriaEnum, String> data) {
        return new ExecutionR28();
    }

}
