package com.capgemini.reports.definition.r23report.visitors;

/**
 * Enumeration of all the columns of the R23 report.
 */
public enum R23VisitorKeys {
  IDENTIFIANT_RECEPTEUR,
  REVISION_RECEPTEUR,
  NOM_RECEPTEUR,
  REPERE_FONCTIONNEL,
  REVISION_REPERE_FONCTIONNEL,
  UIN,
  EQUIVALENT_SNSSIN,
  RESPONSABLE_REPERE,
  SUIVI_MONTAGE,
  ALT,
  SB,
  QUANTITE_CUMULEE,
  PANACHE,
  QUANTITE,
  REF_FABRICANT_REF_SNECMA,
  REVISION_REFERENCE,
  REFERENCE_CONCEPTEUR,
  TYPE_REFERENCE,
  NOM_REFERENCE,
  DESIGNATION_EN,
  REFERENCE_TRANSPOSEE,
  RESPONSABLE_CONCEPTION,
  ALTERNATIVE,
  CLASSEMENT,
  SUIVI_UTILISATION,
  SUIVI_DUREE_VIE,
  MASSE_INDICATIVE,
  UNITE_DE_MASSE,
  IDENTIFIANT_REPERE_FONCTIONNEL,
  MAQUETTE,
  TRANSFERT_LIEN_LOGISTIQUE,
  TRANSFERT_LIEN_MONTAGE,
  STATUT_REFERENCE_ARTICLE,
  SUIVI_DEVELOPPEMENT,
  TYPE_PRODUIT,
  DOCUMENT_CONTROLE,
  OBTURATION,
  IDENTIFIANT_RF_ADMIN,
  REVISION_RF_ADMIN,
  IDENTIFIANT_RF_ADMIN_AP,
  REVISION_RF_ADMIN_AP,
  FRONTIERE_AVION,
  FRONTIERE_COOPERANT,
  GEOMETRIE_PIECE_RIGIDE,
  GEOMETRIE_SIMPLIFIE_RIGIDE,
  ENVELOPPE_DE_CINEMATIQUE,
  ENVELOPPE_DE_MAINTENANCE,
  ENVELOPPE_DE_MONTAGE_DEMONTAGE,
  TRACE_AXIALE,
  INTERFACE,
  PROJECT_MOTEUR,
  MAQUETTE_ECHANGEABLE,
  WORKPACKAGE,
  UNIT_NUM,
  CR,
  CN
}
