package com.capgemini.reports.r28;

import com.capgemini.reports.common.AbstractSubmitServlet;
import com.capgemini.reports.definition.r28report.ExecutionR28;

import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServletRequest;

/**
 * This class receives demands to perform a R28 report.<br>
 * It prepares the data and creates the appropriate {@link ExecutionR28} instance that will carry out the job.
 */
@WebServlet("/report_r28/submit")
public class SubmitServletR28 extends AbstractSubmitServlet<ExecutionR28> {
    private static final long serialVersionUID = -7391550108287583064L;

    @Override
    public ExecutionR28 prepareReport(final HttpServletRequest request) {
        return new ExecutionR28();
    }
}
