function DisplayTable() {
    var tableContent = '';
    // Browse each report
    var reportCount = reportArray.length;
    for (var i = 0; i < reportCount; i++) {
        var currentReport = reportArray[i];

        // Prepare error column content
        var currentError = currentReport['errorMessage'];
        if (currentError != '') {
            currentError = '<img src="/kurt-web/ihm/bt-error-' + currentReport['errorType'].toLowerCase()
                    + '.png" onclick=\'parent.Dialog("Erreur","' + currentError
                    + '")\' title="Afficher le message" style="cursor:pointer;width:16px;height:16px;"/>';
        }

        // Prepare status column content
        var currentStatus = currentReport['state'];
        if (currentStatus != '') {
            currentStatus = '<img src="/kurt-web/ihm/state_' + currentStatus.toLowerCase()
                    + '.png" width="100" height="18">';
        }

        // Report priority
        var priority = "Inconnue";
        if (currentReport['priority'] === '1') {
            priority = "Haute";
        } else if (currentReport['priority'] === '2') {
            priority = "Moyenne";
        } else if (currentReport['priority'] === '3') {
            priority = "Basse";
        }

        /* Display columns of the current report */
        tableContent += '<tr>';
        tableContent += '<td class="reportTable"><strong>' + currentReport['reportCode'] + '</strong></td>';
        tableContent += '<td class="reportTable"><b>' + priority + '</b></td>';
        tableContent += '<td class="reportTable">' + currentReport['login'] + '</td>';
        tableContent += '<td class="reportTable">' + currentReport['requestDate'] + '</td>';
        tableContent += '<td class="reportTable">' + currentReport['startGenerationDate'] + '</td>';
        tableContent += '<td class="reportTable"><img src="/kurt-web/ihm/bt-search.png" onclick="parent.Dialog(\'Crit&egrave;res\',\'<IFRAME src=/kurt-web/frames/criteria.jsp?reportUid='
                + currentReport['reportUid']
                + ' width=350 frameBorder=0></IFRAME>\')" title="Afficher les crit&egrave;res" style="cursor:pointer;width:16px;height:16px;"/> '
                + currentError + '</td>';
        tableContent += '<td class="reportTable">' + currentStatus + '</td>';
        tableContent += '</tr>';
    }

    document.write(tableContent);
}
