package com.capgemini.framework.teamcenter.exceptions;

/**
 * {@link Exception} thrown when the configuration is invalid.<br>
 * It may be missing data or, or maybe the Generic does not exist <i>under the specified Product</i> etc.
 */
public class InvalidConfigurationException extends KurtException {

    private static final long serialVersionUID = 1271823633534992733L;

    /**
     * Simple constructor. For an original exception.
     * 
     * @param msg the tech error message
     */
    public InvalidConfigurationException(final String msg) {
        super(msg);
    }

    /**
     * Simple constructor. For an derived exception.
     * 
     * @param msg the tech error message
     * @param exc original exception
     */
    public InvalidConfigurationException(final String msg, final Throwable exc) {
        super(msg, exc);
    }
}
