package com.capgemini.framework.teamcenter.exceptions;

import com.teamcenter.soa.client.model.strong.BOMView;

/** Exception thrown whan the Request {@link BOMView} does not exist on an object. */
public class NoSuchBomViewException extends KurtException {

    private static final long serialVersionUID = -7773553173685231832L;

    /**
     * Exception thrown when the Request {@link BOMView} does not exist on an object.
     * 
     * @param msg the reason
     */
    public NoSuchBomViewException(final String msg) {
        super(msg);
    }

    /**
     * Simple constructor. For an derived exception.
     * 
     * @param msg the reason
     * @param exc original exception
     */
    public NoSuchBomViewException(final String msg, final Throwable exc) {
        super(msg, exc);
    }
}
