package com.capgemini.framework.teamcenter.exceptions.runtime;

import com.teamcenter.schemas.soa._2006_03.exceptions.InternalServerException;

/** {@link RuntimeException} thrown when connection is suddenly lost. */
public class ConnectionLostException extends KurtRuntimeException {

    private static final long serialVersionUID = -7645238831152306945L;

    /**
     * Builds an {@link ConnectionLostException} that has a custom error message, and originates from a Tc {@link InternalServerException}.
     * @param message custom error message
     * @param anException original Tc exception
     */
    public ConnectionLostException(final String message, final InternalServerException anException) {
        super(message, anException);
    }

}
