package com.capgemini.framework.teamcenter.object.pom.workspace.bom;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.framework.teamcenter.object.pom.workspace.TcWorkspaceObject;
import com.teamcenter.services.strong.cad._2007_01.StructureManagement.RevisionRuleConfigInfo;
import com.teamcenter.soa.client.model.ModelObject;
import com.teamcenter.soa.client.model.strong.RevisionRule;

import java.util.Map;

public class TcRevisionRule implements TcWorkspaceObject {
    private TcSession session;
    private final RevisionRule revisionRule;

    public TcRevisionRule(final TcSession session, final RevisionRule revisionRule) {
        this.session = session;
        this.revisionRule = revisionRule;
    }


    public void addInfo(final RevisionRuleConfigInfo revRuleConfigInfo) {
        revRuleConfigInfo.revRule = revisionRule;
    }

    public void setProperties(Map map) {
        session.setProperties(revisionRule, map);
    }

}