package com.capgemini.reports.teamcenter;

import com.capgemini.framework.teamcenter.authent.FscParameters;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * Represents a TC platform.
 */
@Getter
@AllArgsConstructor
public enum Platform {
    PF36("http://10.24.192.36:80/tc/", new FscParameters("http://10.24.192.36:4544", new String[]{"http://10.24.192.36:4544"}, new String[]{"http://10.24.192.36:4544"}, "C:/Users/Public/kurt/FSCcache")),
    AIX("http://10.69.165.176:6666/tcval", new FscParameters("http://10.69.165.201:4544", new String[]{"http://10.69.165.201:4544"}, new String[]{"http://10.69.165.201:4544"}, "C:/Users/Public/kurt/FSCcache")),
    MIG("http://10.24.192.23:5555/tcmig/", new FscParameters("http://10.69.165.198:4544", new String[]{"http://10.69.165.198:4544"}, new String[]{"http://10.69.165.198:4544"}, "C:/Users/Public/kurt/FSCcache"));

    private final String connectionAddress;
    private final FscParameters fmsParams;
}
